Description: use ca-certificates rather than Mozilla::CA
Origin: vendor
Forwarded: not-needed
Author: Jonas Smedegaard <dr@jones.dk>
Last-Update: 2021-09-12
--- a/lib/Net/Jabber/Bot.pm
+++ b/lib/Net/Jabber/Bot.pm
@@ -11,7 +11,6 @@
 use Time::HiRes;
 use Sys::Hostname;
 use Log::Log4perl qw(:easy);
-use Mozilla::CA;
 
 coerce Bool, from Str,
   via { ( $_ =~ m/(^on$)|(^true$)/i ) + 0 };    # True if it's on or true. Otherwise false.
@@ -37,7 +36,7 @@
 has 'server'            => ( isa => Str,    is   => 'rw' );
 has 'port'              => ( isa => PosInt, is   => 'rw', default => 5222 );
 has 'tls'               => ( isa => Bool,   is   => 'rw', default => '0' );
-has 'ssl_ca_path'       => ( isa => Str,    is   => 'rw', default => Mozilla::CA::SSL_ca_file() );
+has 'ssl_ca_path'       => ( isa => Str,    is   => 'rw', default => '/etc/ssl/certs/ca-certificates.crt' );
 has 'ssl_verify'        => ( isa => Bool,   is   => 'rw', default => '1' );
 has 'connection_type'   => ( isa => Str,    is   => 'rw', default => 'tcpip' );
 has 'conference_server' => ( isa => Str,    is   => 'rw' );
